

const
  { Event callback constants }

  HMEVENT_SERVER_ATTACH = 3;
  HMEVENT_SERVER_DETACH = 4;
  HMEVENT_COMPILATION_OK = 5;
  HMEVENT_COMPILATION_CANCELLED = 6;

  { References the table of contents resp.
    the list of invisible topics }

  HMTOCLIST = 0;
  HMINVISIBLELIST = 1;

  { Insert modes for InsertItem }

  HMINSERTMODE_ADDAFTER = 0;
  HMINSERTMODE_ADDBEFORE = 1;
  HMINSERTMODE_ADDCHILD = 2;

  { Topic status }

  HMTOPICSTATUS_COMPLETE = 0;
  HMTOPICSTATUS_UNDERCONSTRUCTION = 1;
  HMTOPICSTATUS_NEEDSREVIEW = 2;
  HMTOPICSTATUS_OUTOFDATE = 3;

  { Topic format constants - use HMTOPICFORMAT_TEXT only ! }

  HMTOPICFORMAT_TEXT = 0;
  HMTOPICFORMAT_RTF = 1;
  HMTOPICFORMAT_CUSTOM = 2;

  { Member constants for HMTOPICRECORD }

  HMTOPIC_NODE = 1;        { includes all NodeXXXXX fields }
  HMTOPIC_TIMESTAMP = 2;   { includes ModTime + ModDate }
  HMTOPIC_WINDOW = 4;
  HMTOPIC_HELPCONTEXT = 8;
  HMTOPIC_KEYWORDS = 16;
  HMTOPIC_AKEYWORDS = 32;
  HMTOPIC_RELATED = 64;
  HMTOPIC_ANCHORS = 128;
  HMTOPIC_EXTRAINFO = 256;
  HMTOPIC_HEADER = 512;   { includes topic header text }
  HMTOPIC_TEXT = 1024;    { includes topic body text }

  HMTOPIC_ALLMEMBERS = 2047;
  HMTOPIC_NEWCHAPTER = HMTOPIC_NODE;     { Inserts a chapter without text }
  HMTOPIC_NEWTOPIC = HMTOPIC_ALLMEMBERS; { Inserts a topic }
  HMTOPIC_NEWPOPUP = HMTOPIC_NEWTOPIC and not HMTOPIC_HEADER;  { Popup topic without header }
  HMTOPIC_NEWTOPIC_AUTONUMBERING = HMTOPIC_NEWTOPIC and not HMTOPIC_HELPCONTEXT;
  HMTOPIC_NEWPOPUP_AUTONUMBERING = HMTOPIC_NEWPOPUP and not HMTOPIC_HELPCONTEXT;


  { Possible values for THMTOPICRECORD.NodeType }

  HMNODETYPE_CHAPTER = 0;    { Chapter without text: NodeData = '' }
  HMNODETYPE_TOPIC = 1;      { Topic or chapter with text: NodeData = 'TopicID#AnchorID' }
  HMNODETYPE_EXTERNAL = 2;   { Topic in external help file: only in TOC! NodeData = 'TopicID@helpfile.hm3' }
  HMNODETYPE_WEBLINK = 4;    { Web site link: only in TOC! NodeData = 'http://www.ec-software.com' }
  HMNODETYPE_INCLUDE = 9;    { Include project: NodeData = 'helpfile.hm3' }


  { Include values for HMTOPICRECORD.NodeInclude
    as well as for the function CompileProject   }

  HMINCLUDE_ALL  = 1;
  HMINCLUDE_HXS  = 2;       // Include in MS Help 2.0
  HMINCLUDE_CHM  = 4;       // Include in HTML HELP
  HMINCLUDE_HLP  = 8;       // Include in Winhelp
  HMINCLUDE_HTM  = 16;      // Include in Browser based help
  HMINCLUDE_PRN  = 32;      // Include in Print manual
  HMINCLUDE_PDF  = 64;      // Include in PDF
  HMINCLUDE_MMH  = 128;     // Include in MultiMedia Help format
  HMINCLUDE_DEMO = 8192;
  HMINCLUDE_USR1 = 16384;
  HMINCLUDE_USR2 = 32768;
  HMINCLUDE_USR3 = 65536;

  { Constants for output format in CompileProject }

  HMCOMPILEFORMAT_HXS = 0;  
  HMCOMPILEFORMAT_CHM = 1;
  HMCOMPILEFORMAT_HLP = 2;
  HMCOMPILEFORMAT_HTM = 3;
  HMCOMPILEFORMAT_PDF = 4;
  HMCOMPILEFORMAT_RTF = 5;
  HMCOMPILEFORMAT_MMH = 6;


type
  PHMTOPICRECORD = ^THMTOPICRECORD;
  THMTOPICRECORD = record
    Members: DWORD;       { Valid members of record }

    NodeLevel: DWORD;     { Tree node level }
    NodeIndex: DWORD;     { Absolute index of node }
    NodeImage: DWORD;     { Icon number, 0 = default }
    NodeInclude: DWORD;   { Include values, see HMINCLUDE_ constants above }
    NodeStatus: DWORD;    { Topic status, see HMTOPICSTATUS_ constants above }
    NodeCaption: pchar;   { Caption of tree node, often identical with header text }
    NodeType: DWORD;      { See HMNODETYPE_ constants above! }
    NodeData: pchar;      { See HMNODETYPE_ constants above! }

    ModTime: DWORD;       { ModTime + ModDate combined are a TTimeStamp record }
    ModDate: DWORD;       { For conversion to TDateTime use TimeStampToDateTime }
    Window: pchar;
    HelpContext: DWORD;
    Keywords: pchar;
    AKeywords: pchar;
    Related: pchar;
    Anchors: pchar;
    ExtraInfo: pchar;     { Not used }
    HeaderFormat: DWORD;  { Must be 0 }
    Header: pchar;        { Topic header text }
    TextFormat: DWORD;    { Must be 0 }
    Text: pchar;          { Topic body text }
  end;

